## python-mistralclient 3.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
cliff!=2.9.0,>=2.8.0 # Apache-2.0
osc-lib>=1.8.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
keystoneauth1>=3.3.0 # Apache-2.0
PyYAML>=3.10 # MIT
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0

=== debian/changelog ===
python-mistralclient (1:3.3.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Feb 2018 12:43:41 -0500

python-mistralclient (1:3.2.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Feb 2018 09:29:18 -0500

python-mistralclient (1:3.1.4-0ubuntu1) bionic; urgency=medium

  * d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Nov 2017 13:49:25 -0500

=== debian/control ===
Source: python-mistralclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-cliff (>= 2.8.0),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-mock (>= 2.0.0),
 python-nose (>= 1.3.7),
 python-openstackclient (>= 3.12.0),
 python-openstackdocstheme (>= 1.18.1),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-oslosphinx (>= 4.7.0),
 python-oslotest (>= 1:3.2.0),
 python-osprofiler (>= 1.4.0),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.1.0),
 python-six (>= 1.10.0),
 python-stevedore (>= 1:1.20.0),
 python-tempest (>= 1:17.1.0),
 python-testtools (>= 1.4.0),
 python-unittest2,
 python-yaml (>= 3.10),
 python3-cliff (>= 2.8.0),
 python3-fixtures (>= 3.0.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-mock (>= 2.0.0),
 python3-nose (>= 1.3.7),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.1.0),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tempest (>= 1:17.1.0),
 python3-testtools (>= 1.4.0),
 python3-unittest2,
 python3-yaml (>= 3.10),
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-mistralclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-mistralclient
Homepage: https://github.com/stackforge/python-mistralclient

Package: python-mistralclient
Architecture: all
Depends:
 python-cliff (>= 2.8.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-stevedore (>= 1:1.20.0),
 python-yaml (>= 3.10),
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Workflow as a Service client - Python 2.7
 Mistral is a task management service. It is also known as Workflow as a
 Service. Most business processes consist of multiple distinct interconnected
 steps that need to be executed in a particular order in a distributed
 environment. One can describe such process as a set of tasks and task
 relations and upload such description to Mistral so that it takes care of
 state management, correct execution order, task distribution and high
 availability. Mistral also provides flexible task scheduling so that users can
 run a process according to a specified schedule (i.e. every Sunday at 4.00pm)
 instead of running it immediately. Such set of tasks and dependencies between
 them is called a workflow. Independent routes in a workflow (which, in fact,
 is a graph) are called flows and Mistral can execute them in parallel.
 .
 This package provides a cli and a Python 2.7 client module.

Package: python3-mistralclient
Architecture: all
Depends:
 python3-cliff (>= 2.8.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 python3-yaml (>= 3.10),
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Workflow as a Service client - Python 3.x
 Mistral is a task management service. It is also known as Workflow as a
 Service. Most business processes consist of multiple distinct interconnected
 steps that need to be executed in a particular order in a distributed
 environment. One can describe such process as a set of tasks and task
 relations and upload such description to Mistral so that it takes care of
 state management, correct execution order, task distribution and high
 availability. Mistral also provides flexible task scheduling so that users can
 run a process according to a specified schedule (i.e. every Sunday at 4.00pm)
 instead of running it immediately. Such set of tasks and dependencies between
 them is called a workflow. Independent routes in a workflow (which, in fact,
 is a graph) are called flows and Mistral can execute them in parallel.
 .
 This package provides a cli and a Python 3.x client module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
		dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-mistralclient; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-mistralclient; \
	done
	rm -rf $(CURDIR)/debian/python*-mistralclient/usr/lib/python*/dist-packages/*.pth
	mv $(CURDIR)/debian/python-mistralclient/usr/bin/mistral $(CURDIR)/debian/python-mistralclient/usr/bin/python2-mistral
	mv $(CURDIR)/debian/python3-mistralclient/usr/bin/mistral $(CURDIR)/debian/python3-mistralclient/usr/bin/python3-mistral

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) nosetests -v -I cli_multi_tenancy_tests.py -I cli_tests_v2.py
	PYTHONPATH=$(CURDIR) nosetests3 -v -I cli_multi_tenancy_tests.py -I cli_tests_v2.py
#	set -e ; for i in $(PYTHONS) $(PYTHON3S) ; do \
#		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
#		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
#		rm -rf .testrepository ; \
#		testr-python$$PYMAJOR init ; \
#		TEMP_REZ=`mktemp -t` ; \
#		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
#		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
#		rm -f $$TEMP_REZ ; \
#		testr-python$$PYMAJOR slowest ; \
#	done
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-mistralclient/usr/share/doc/python-mistralclient/html
	dh_sphinxdoc -O--buildsystem=python_distutils


# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-mistralclient 3.7.0

=== requirements.txt ===
--- 
+++ 
@@ -5,9 +5,10 @@
 osc-lib>=1.8.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
+oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-keystoneauth1>=3.3.0 # Apache-2.0
-PyYAML>=3.10 # MIT
+keystoneauth1>=3.4.0 # Apache-2.0
+PyYAML>=3.12 # MIT
 requests>=2.14.2 # Apache-2.0
 six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0

=== debian/changelog ===
python-mistralclient (1:3.7.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Blacklist HTTPClientTest.test_get_request_options_with_profile_enabled() in
    Python 3.x.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 00:08:49 +0200

python-mistralclient (1:3.7.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Building doc with Python 3.
  * Using pkgos-dh_auto_test.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 11:12:32 +0200

python-mistralclient (1:3.3.0-1) unstable; urgency=medium

  [ Michal Arbet ]
  * New upstream version

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jun 2018 12:43:39 +0000

python-mistralclient (1:3.2.0-2) unstable; urgency=medium

  * Python 3 has now priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 13:10:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,87 +1,77 @@
 Source: python-mistralclient
 Section: python
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools,
- python-sphinx (>= 1.6.2),
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  python-cliff (>= 2.8.0),
- python-fixtures (>= 3.0.0),
- python-hacking (>= 0.12.0),
- python-keystoneauth1 (>= 3.3.0),
- python-keystoneclient (>= 1:3.8.0),
- python-mock (>= 2.0.0),
- python-nose (>= 1.3.7),
+ python-hacking,
+ python-keystoneauth1 (>= 3.4.0),
+ python-mock,
  python-openstackclient (>= 3.12.0),
- python-openstackdocstheme (>= 1.18.1),
  python-osc-lib (>= 1.8.0),
  python-oslo.i18n (>= 3.15.3),
+ python-oslo.serialization (>= 2.18.0),
  python-oslo.utils (>= 3.33.0),
- python-oslosphinx (>= 4.7.0),
- python-oslotest (>= 1:3.2.0),
+ python-oslotest (>= 3.2.0),
  python-osprofiler (>= 1.4.0),
  python-requests (>= 2.14.2),
- python-requests-mock (>= 1.1.0),
- python-six (>= 1.10.0),
- python-stevedore (>= 1:1.20.0),
+ python-requests-mock (>= 1.2.0),
+ python-six,
+ python-stestr,
+ python-stevedore (>= 1.20.0),
  python-tempest (>= 1:17.1.0),
- python-testtools (>= 1.4.0),
- python-unittest2,
- python-yaml (>= 3.10),
+ python-yaml,
  python3-cliff (>= 2.8.0),
- python3-fixtures (>= 3.0.0),
- python3-keystoneauth1 (>= 3.3.0),
- python3-keystoneclient (>= 1:3.8.0),
- python3-mock (>= 2.0.0),
- python3-nose (>= 1.3.7),
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-mock,
  python3-openstackclient (>= 3.12.0),
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 1.18.0),
  python3-osc-lib (>= 1.8.0),
  python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.33.0),
- python3-oslosphinx (>= 4.7.0),
- python3-oslotest (>= 1:3.2.0),
+ python3-oslotest (>= 3.2.0),
  python3-osprofiler (>= 1.4.0),
  python3-requests (>= 2.14.2),
- python3-requests-mock (>= 1.1.0),
- python3-six (>= 1.10.0),
- python3-stevedore (>= 1:1.20.0),
+ python3-requests-mock (>= 1.2.0),
+ python3-six,
+ python3-stestr,
+ python3-stevedore (>= 1.20.0),
  python3-tempest (>= 1:17.1.0),
- python3-testtools (>= 1.4.0),
- python3-unittest2,
- python3-yaml (>= 3.10),
-Standards-Version: 4.1.2
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-mistralclient
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-mistralclient
+ python3-yaml,
+ subunit,
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-mistralclient
+Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-mistralclient.git
 Homepage: https://github.com/stackforge/python-mistralclient
 
 Package: python-mistralclient
 Architecture: all
 Depends:
  python-cliff (>= 2.8.0),
- python-keystoneauth1 (>= 3.3.0),
- python-keystoneclient (>= 1:3.8.0),
+ python-keystoneauth1 (>= 3.4.0),
  python-osc-lib (>= 1.8.0),
  python-oslo.i18n (>= 3.15.3),
+ python-oslo.serialization (>= 2.18.0),
  python-oslo.utils (>= 3.33.0),
  python-pbr (>= 2.0.0),
  python-requests (>= 2.14.2),
- python-six (>= 1.10.0),
- python-stevedore (>= 1:1.20.0),
- python-yaml (>= 3.10),
+ python-six,
+ python-stevedore (>= 1.20.0),
+ python-yaml,
  ${misc:Depends},
  ${python:Depends},
  ${sphinxdoc:Depends},
@@ -104,16 +94,16 @@
 Architecture: all
 Depends:
  python3-cliff (>= 2.8.0),
- python3-keystoneauth1 (>= 3.3.0),
- python3-keystoneclient (>= 1:3.8.0),
+ python3-keystoneauth1 (>= 3.4.0),
  python3-osc-lib (>= 1.8.0),
  python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
  python3-requests (>= 2.14.2),
- python3-six (>= 1.10.0),
- python3-stevedore (>= 1:1.20.0),
- python3-yaml (>= 3.10),
+ python3-six,
+ python3-stevedore (>= 1.20.0),
+ python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
  ${sphinxdoc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
		dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py3
	# Blacklist this test until https://bugs.launchpad.net/python-mistralclient/+bug/1790784 is solved.
	pkgos-dh_auto_test --no-py2 'mistralclient\.tests\.unit\.(?!.*test_httpclient\.HTTPClientTest\.test_get_request_options_with_profile_enabled.*)'
endif

override_dh_sphinxdoc:
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-mistralclient/usr/share/doc/python-mistralclient/html
	dh_sphinxdoc -O--buildsystem=python_distutils


# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/stackforge/python-mistralclient/tags .*/(\d[\d\.]+)\.tar\.gz

## python-mistralclient 3.8.0

=== debian/changelog ===
python-mistralclient (1:3.8.0-3) unstable; urgency=medium

  [ Thomas Goirand ]
  * Uploading to unstable.

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 13:31:15 +0200

python-mistralclient (1:3.8.0-2) experimental; urgency=medium

  * Removed management of alternatives.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 14:45:52 +0100

python-mistralclient (1:3.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove Python 2 support.
  * Run tests with installed Python module.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Mar 2019 09:15:22 +0100

=== debian/control ===
Source: python-mistralclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cliff,
 python3-docutils,
 python3-hacking,
 python3-keystoneauth1,
 python3-mock,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-osprofiler,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-tempest,
 python3-yaml,
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-mistralclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-mistralclient.git
Homepage: https://github.com/stackforge/python-mistralclient

Package: python3-mistralclient
Architecture: all
Depends:
 python3-cliff,
 python3-keystoneauth1,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-six,
 python3-stevedore,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Workflow as a Service client - Python 3.x
 Mistral is a task management service. It is also known as Workflow as a
 Service. Most business processes consist of multiple distinct interconnected
 steps that need to be executed in a particular order in a distributed
 environment. One can describe such process as a set of tasks and task
 relations and upload such description to Mistral so that it takes care of
 state management, correct execution order, task distribution and high
 availability. Mistral also provides flexible task scheduling so that users can
 run a process according to a specified schedule (i.e. every Sunday at 4.00pm)
 instead of running it immediately. Such set of tasks and dependencies between
 them is called a workflow. Independent routes in a workflow (which, in fact,
 is a graph) are called flows and Mistral can execute them in parallel.
 .
 This package provides a cli and a Python 3.x client module.

## python-mistralclient 4.1.1

=== requirements.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 keystoneauth1>=3.4.0 # Apache-2.0
-PyYAML>=3.12 # MIT
+PyYAML>=3.13 # MIT
 requests>=2.14.2 # Apache-2.0
-six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0

=== debian/changelog ===
python-mistralclient (1:4.1.1-2+deb11u1) bullseye-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Move tests into autopkgtest phase. They seem to rely on an active DNS
    resolver which might not exist on the build system.
  * d/patches/CVE-2021-4472.patch: Add patch to fix CVE-2021-4472.
    - Fix a local file inclusion vulnerability through the 'Create Workbook'
      feature that may result in disclosure of arbitrary local files content.

 -- Daniel Leidert <dleidert@debian.org>  Mon, 01 Dec 2025 03:32:18 +0100

python-mistralclient (1:4.1.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 16:21:08 +0200

python-mistralclient (1:4.1.1-1) experimental; urgency=medium

  * Fixed Homepage field and watch file.
  * New upstream release.
  * Add python3-os-client-config as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 10:29:45 +0200

python-mistralclient (1:4.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 23:19:19 +0200

python-mistralclient (1:4.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-coverage as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Apr 2020 21:39:02 +0200

python-mistralclient (1:3.10.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:36:16 +0200

python-mistralclient (1:3.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 00:03:29 +0200

python-mistralclient (1:3.8.0-5) unstable; urgency=medium

  * Really removed Python 2 build-dependencies (Closes: #937922).

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Sep 2019 21:56:33 +0200

python-mistralclient (1:3.8.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * Removed Python 2 build-dependencies (Closes: #937922).

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Sep 2019 21:53:06 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
		dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .testrepository

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# Blacklist this test until https://bugs.launchpad.net/python-mistralclient/+bug/1790784 is solved.
	-PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'mistralclient\.tests\.unit\.(?!.*test_httpclient\.HTTPClientTest\.test_get_request_options_with_profile_enabled.*)'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-mistralclient/usr/share/doc/python-mistralclient/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Test-Command: PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'mistralclient\.tests\.unit\.(?!.*test_httpclient\.HTTPClientTest\.test_get_request_options_with_profile_enabled.*)'
Depends: @, @builddeps@
Restrictions: allow-stderr needs-root, needs-internet

## python-mistralclient 4.2.0

=== debian/changelog ===
python-mistralclient (1:4.2.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 22 Mar 2021 22:23:35 +0000

python-mistralclient (1:4.2.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 18 Mar 2021 13:31:22 +0000

python-mistralclient (1:4.1.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:31:25 -0400

python-mistralclient (1:4.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.
  * d/rules: Run tests with pkgos-dh_auto_test.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Jul 2020 16:03:30 -0400

python-mistralclient (1:3.7.0-0ubuntu3) eoan; urgency=medium

  * d/control: Fix BD's on python-* packages for Bionic Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 12 Jul 2019 14:38:32 +0200

python-mistralclient (1:3.7.0-0ubuntu2) eoan; urgency=medium

  * d/control: Drop python-mistralclient binary package.
  * d/control: Drop BDI's on python-* packages.
  * d/*.postinst,prerm,postrm: Drop, alternatives no longer needed.
  * d/rules: Tweak to stop build and install of Python 2 parts.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 11 Jul 2019 16:02:12 +0100

python-mistralclient (1:3.7.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Aug 2018 13:03:49 -0400

## python-mistralclient 4.3.0

=== debian/changelog ===
python-mistralclient (1:4.3.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 15:13:28 -0400

=== debian/control ===
Source: python-mistralclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-cliff (>= 2.8.0),
 python3-fixtures (>= 3.0.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-mock (>= 2.0.0),
 python3-nose (>= 1.3.7),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tempest (>= 1:17.1.0),
 python3-testtools (>= 1.4.0),
 python3-unittest2,
 python3-yaml (>= 3.13),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-mistralclient
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-mistralclient
Homepage: https://opendev.org/openstack/python-mistralclient
Testsuite: autopkgtest-pkg-python

Package: python3-mistralclient
Architecture: all
Depends:
 python3-cliff (>= 2.8.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 python3-yaml (>= 3.13),
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Workflow as a Service client - Python 3.x
 Mistral is a task management service. It is also known as Workflow as a
 Service. Most business processes consist of multiple distinct interconnected
 steps that need to be executed in a particular order in a distributed
 environment. One can describe such process as a set of tasks and task
 relations and upload such description to Mistral so that it takes care of
 state management, correct execution order, task distribution and high
 availability. Mistral also provides flexible task scheduling so that users can
 run a process according to a specified schedule (i.e. every Sunday at 4.00pm)
 instead of running it immediately. Such set of tasks and dependencies between
 them is called a workflow. Independent routes in a workflow (which, in fact,
 is a graph) are called flows and Mistral can execute them in parallel.
 .
 This package provides a cli and a Python 3.x client module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/python-mistralclient/ python-mistralclient-(\d.*)\.tar\.gz

## python-mistralclient 4.4.0

=== debian/changelog ===
python-mistralclient (1:4.4.0-2~bpo11+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Fri, 25 Mar 2022 10:14:50 +0000

python-mistralclient (1:4.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 11:11:23 +0100

python-mistralclient (1:4.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Feb 2022 21:37:44 +0100

python-mistralclient (1:4.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:47:37 +0200

python-mistralclient (1:4.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Sep 2021 09:11:30 +0200

python-mistralclient (1:4.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 11:19:28 +0200

python-mistralclient (1:4.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Mar 2021 09:59:47 +0100

## python-mistralclient 4.5.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=2.0.0,!=2.1.0 # BSD
reno>=3.1.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-mistralclient (1:4.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:33:09 +0200

python-mistralclient (1:4.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Sep 2022 13:59:33 +0200

=== debian/control ===
Source: python-mistralclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cliff,
 python3-coverage,
 python3-docutils,
 python3-hacking,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-os-client-config,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-osprofiler,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-tempest,
 python3-yaml,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-mistralclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-mistralclient.git
Homepage: https://opendev.org/openstack/python-mistralclient

Package: python3-mistralclient
Architecture: all
Depends:
 python3-cliff,
 python3-keystoneauth1,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-six,
 python3-stevedore,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Workflow as a Service client - Python 3.x
 Mistral is a task management service. It is also known as Workflow as a
 Service. Most business processes consist of multiple distinct interconnected
 steps that need to be executed in a particular order in a distributed
 environment. One can describe such process as a set of tasks and task
 relations and upload such description to Mistral so that it takes care of
 state management, correct execution order, task distribution and high
 availability. Mistral also provides flexible task scheduling so that users can
 run a process according to a specified schedule (i.e. every Sunday at 4.00pm)
 instead of running it immediately. Such set of tasks and dependencies between
 them is called a workflow. Independent routes in a workflow (which, in fact,
 is a graph) are called flows and Mistral can execute them in parallel.
 .
 This package provides a cli and a Python 3.x client module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-mistralclient/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-mistralclient 5.0.0

=== debian/changelog ===
python-mistralclient (1:5.0.0-3~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Thu, 17 Aug 2023 22:02:20 +0000

python-mistralclient (1:5.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046347).
  * Correctly install the doc in
    debian/python3-mistralclient/usr/share/doc/python3-mistralclient/html.

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Aug 2023 23:54:18 +0200

python-mistralclient (1:5.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 12:22:51 +0200

python-mistralclient (1:5.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 14:13:23 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
		dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .testrepository *.egg-info .stestr doc/source/api
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# Blacklist this test until https://bugs.launchpad.net/python-mistralclient/+bug/1790784 is solved.
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'mistralclient\.tests\.unit\.(?!.*test_httpclient\.HTTPClientTest\.test_get_request_options_with_profile_enabled.*)'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python3-mistralclient/usr/share/doc/python3-mistralclient/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-mistralclient 5.1.0

=== debian/changelog ===
python-mistralclient (1:5.1.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 29 Sep 2023 04:39:35 +0000

python-mistralclient (1:5.1.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Sep 2023 09:39:47 -0400

python-mistralclient (1:5.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 13:55:24 -0500

python-mistralclient (1:4.5.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Sep 2022 11:20:06 -0400

python-mistralclient (1:4.4.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 14:47:35 -0400

## python-mistralclient 5.2.0

=== debian/changelog ===
python-mistralclient (1:5.2.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@canonical.com>  Fri, 08 Mar 2024 14:51:43 +0000

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=mistralclient

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_install:
	pkgos-dh_auto_install --no-py2

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf build .testrepository

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-mistralclient/usr/share/doc/python-mistralclient/html
	dh_sphinxdoc -O--buildsystem=pybuild


# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-mistralclient 5.3.0

=== debian/changelog ===
python-mistralclient (1:5.3.0-4~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Thu, 19 Dec 2024 09:01:10 +0000

python-mistralclient (1:5.3.0-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090533).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:57:53 +0100

python-mistralclient (1:5.3.0-3) unstable; urgency=medium

  * Removed python3-six from (build-)depends (Closes: #1083028).

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Oct 2024 22:48:46 +0200

python-mistralclient (1:5.3.0-2) unstable; urgency=medium

  * Removed /usr/bin alternative removal in {pre,post}rm.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 10:22:04 +0200

python-mistralclient (1:5.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Sep 2024 11:18:56 +0200

python-mistralclient (1:5.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:28:57 +0200

python-mistralclient (1:5.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 17:22:56 +0100

python-mistralclient (1:5.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 15:44:10 +0200

python-mistralclient (1:5.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Sep 2023 17:17:46 +0200

## python-mistralclient 5.4.0

=== debian/changelog ===
python-mistralclient (1:5.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 12:39:05 +0100

python-mistralclient (1:5.4.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 11:46:56 +0100

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,6 @@
  python3-osprofiler,
  python3-requests,
  python3-requests-mock,
- python3-six,
  python3-sphinxcontrib.apidoc,
  python3-stestr,
  python3-stevedore,
@@ -52,7 +51,6 @@
  python3-oslo.utils,
  python3-pbr,
  python3-requests,
- python3-six,
  python3-stevedore,
  python3-yaml,
  ${misc:Depends},

## python-mistralclient 6.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

cliff!=2.9.0,>=2.8.0 # Apache-2.0
osc-lib>=1.8.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
PyYAML>=3.13 # MIT
requests>=2.14.2 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
reno>=3.1.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-mistralclient (1:6.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 22:37:08 +0200

python-mistralclient (1:6.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Sep 2025 08:29:52 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
		dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .testrepository *.egg-info .stestr doc/source/api
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# Blacklist this test until https://bugs.launchpad.net/python-mistralclient/+bug/1790784 is solved.
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'mistralclient\.tests\.unit\.(?!.*test_httpclient\.HTTPClientTest\.test_get_request_options_with_profile_enabled.*)'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python3-mistralclient/usr/share/doc/python3-mistralclient/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-mistralclient refs/tags/(\d[brc\d\.]+)

## python-mistralclient 6.1.0

=== debian/changelog ===
python-mistralclient (1:6.1.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * New upstream version 6.1.0
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Fri, 20 Feb 2026 11:09:36 -0800

python-mistralclient (1:6.0.0-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo (LP: #2122726).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/s/options: Ignore .launchpad.yaml when generating diffs.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 17 Sep 2025 13:10:13 -0700

python-mistralclient (1:5.4.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Mon, 03 Mar 2025 09:35:35 +0000

python-mistralclient (1:5.3.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2024 16:31:53 +0100

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.openstack.org/python-mistralclient/ python_mistralclient-(\d.*)\.tar\.gz

## python-mistralclient 6.2.0

=== debian/changelog ===
python-mistralclient (1:6.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 12:59:49 +0100
